#!/bin/bash
#
# Shell script for getting the currently playing song into the KMail signature
#
# (c) 2005 Harald Sitter <sitter.harald@gmx.net>
# License: GPL V2

if dcop amarok; then # if amarok is running 
  TMPFILE=/tmp/lt.$$ 
  dcop amarok player status > $TMPFILE 
  TITLENUMBER=$(cut $TMPFILE -b 1) 
  rm $TMPFILE 
  case $TITLENUMBER in 
  0) echo "amaroK doesn't play" ;; 
  1) echo "amaroK is pausing" ;; 
  2) echo -n "amaroK is now playing: " ; dcop amarok player nowPlaying ;; 
  *) echo "surrender_value: $TITLENUMBER" ;; 
 esac 
else 
 echo "amaroK isn't running" 
fi